Customer Info
The Customer Info API which allows distributors to pass only a customer identifier and receive complete customer information. The returned data is used to auto-populate the landing page and proposal journey.
Request Body required
1SB customer Info request
Unique customer identifier. Mandatory field used to fetch complete customer information and pre-populate the customer journey.
Possible values: <= 5 characters, [HL, TW, CL]
Loan type associated with the customer. Optional field used for journey and product mapping. Example values include HL (Home Loan), PL (Personal Loan), GL (Gold Loan).
Possible values: <= 10 characters
Permanent Account Number (PAN) of the customer. Optional field; can be passed if available.
Possible values: <= 50 characters
First name of the customer. Optional identifier for customer lookup.
Possible values: <= 50 characters
Last name of the customer. Optional identifier for customer lookup.
Date of birth of the customer in YYYY-MM-DD format. Optional field.
- 200
- 400
- 500
Successful Response
Schema
Unique request identifier for tracking the API call
List of errors occurred during request processing
data object
Wrapper object holding customer data
unique identifier for customer information
External or business customer identifier
customer_info object
Complete customer profile information
personalInformation object
Personal details of the customer
Salutation of the customer
First name of the customer
Middle name of the customer
Last name of the customer
Gender of the customer
Date of birth of the customer
Marital status of the customer
Email address of the customer
Primary mobile number of the customer
Alternate mobile number of the customer
Emergency contact mobile number
Landline or telephone number
Nationality of the customer
professionalDetails object
Professional and employment-related details of the customer
Highest educational qualification
Occupation type of the customer
Job designation of the customer
Name of the employing organization
Annual income of the customer
kycDetails object
Know Your Customer (KYC) related details
PAN number of the customer
Central KYC number
Electronic Insurance Account number
Aadhaar number of the customer
communicationAddress object
Communication address of the customer
Address line 1
Address line 2
Address line 3
Nearest landmark
Postal or ZIP code
City name
State name
Country name
permanentAddress object
Permanent residential address of the customer
Address line 1
Address line 2
Address line 3
Nearest landmark
Postal or ZIP code
City name
State name
Country name
healthQuestionnaire object
Health-related declarations of the customer
Possible values: [NO, YES]
Indicates whether the customer consumes tobacco
nomineeDetails object
Nominee details provided by the customer
Nominee first name
Nominee middle name
Nominee last name
Nominee date of birth
Nominee gender
Relationship of nominee with customer
productDetails object
Insurance product-related details
Policy cover amount
Sum insured amount
Monthly premium amount
dependantDetails object
Details of dependent family member
Dependent first name
Dependent middle name
Dependent last name
Dependent date of birth
Dependent gender
Relationship of dependent with customer
bankDetails object
Bank account details for payment and refunds
Name of the bank account holder
IFSC code of the bank branch
Type of bank account
Bank account number
{
"reqId": "54b5d81c-9244-465f-8a60-453509ad3e61",
"errors": [
{}
],
"data": {
"customer_info_id": 496,
"customer_id": "1000000000",
"customer_info": {
"personalInformation": {
"title": "Mr",
"firstName": "ABC",
"middleName": "",
"lastName": "Patil",
"gender": "Male",
"dateOfBirth": "1991-06-06",
"maritalStatus": "Married",
"email": "abc@1silverbullet.tech",
"mobileNumber": "9912212213",
"otherMobileNumber": "1212121123",
"emergencyMobileNumber": "1212121123",
"telephoneNumber": "1212121123",
"nationality": "Indian"
},
"professionalDetails": {
"qualification": "Post Graduate",
"occupation": "Salaried",
"designation": "Manager",
"organisation": "1SB",
"annualIncome": "1000000"
},
"kycDetails": {
"panNumber": "ABCCC0003C",
"ckycNumber": null,
"eiaNumber": null,
"aadharNumber": null
},
"communicationAddress": {
"addressLine1": "Mumbai",
"addressLine2": null,
"addressLine3": null,
"landmark": "Near Mumbai Public School",
"zipCode": "400063",
"city": "Mumbai",
"state": "MAHARASHTRA",
"country": "INDIA"
},
"permanentAddress": {
"addressLine1": "Mumbai",
"addressLine2": null,
"addressLine3": null,
"landmark": "Near Mumbai Public School",
"zipCode": "400063",
"city": "Mumbai",
"state": "MAHARASHTRA",
"country": "INDIA"
},
"healthQuestionnaire": {
"tobacco": "Yes"
},
"nomineeDetails": {
"firstName": "BCD",
"middleName": null,
"lastName": "Patil",
"dateOfBirth": "1992-01-11",
"gender": "Female",
"relationship": "Spouse"
},
"productDetails": {
"cover": "10000000",
"sumInsured": "1000000",
"monthlyAmount": null
},
"dependantDetails": {
"firstName": "ABC",
"middleName": null,
"lastName": "Wad",
"dateOfBirth": "1964-02-21",
"gender": "Female",
"relationship": "Mother"
},
"bankDetails": {
"accountHolderName": "ABCD",
"IFSCcode": "ICIC0000002",
"accountType": "Savings",
"accountNumber": "1234567812213234"
}
}
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}